/// Core library for [Angular](https://webdev.dartlang.org/angular) applications.
library ngx_core;

import 'dart:async';
import 'dart:collection';
import 'dart:html' as dom;
import 'package:angular/angular.dart';
import 'package:angular_router/angular_router.dart';

part 'src/directives/go_back.dart';
part 'src/directives/page_title.dart';
part 'src/pipes/encode_uri_pipe.dart';
part 'src/pipes/nl2br_pipe.dart';
part 'src/services/application.dart';
part 'src/services/configuration.dart';
part 'src/services/document_ref.dart';
part 'src/services/meta.dart';
part 'src/tokens.dart';

/// The module directives.
const List ngxDirectives = const [
  GoBack,
  PageTitle
];

/// The module pipes.
const List ngxPipes = const [
  EncodeUriPipe,
  Nl2brPipe
];

/// The module providers.
const List ngxProviders = const [
  Application,
  Configuration,
  DocumentRef,
  Meta
];
